This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 820120

Summary: tomcat6-lib: Bundled library
Product: [Fedora] Fedora Reporter: Mikolaj Izdebski <mizdebsk>
Component: tomcat6Assignee: Mikolaj Izdebski <mizdebsk>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dknox, dwalluck, sochotni, SpikeFedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-14 10:38:41 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 504493    

Description Mikolaj Izdebski 2012-05-09 04:31:49 EDT
tomcat6-lib is bundling apache-commons-dbcp, an external library.

According to Fedora Java Packaging Guidelines this is unacceptable. See: https://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software

Please remove this library from packaging and add it as external dependency.
Comment 1 Mikolaj Izdebski 2013-03-14 10:38:41 EDT
Package tomcat6 has been deprecated in Fedora 19 and later.
I am closing this bug as WONTFIX.

For more information why tomcat6 was deprecated see:
  http://bugzilla.redhat.com/918010
  http://lists.fedoraproject.org/pipermail/devel/2013-March/179847.html
  http://fedorahosted.org/fesco/ticket/1094